 /****************************************************************************
 Module
   C32_PINDEFS.h

 Revision
   1.0.0

 Description
   This header file contains pin definitions for the COACH C32.

 Notes

 ME 218c -- Team 13: Enchantment Under the Sea
 Author: Buddy Gardineer
****************************************************************************/

// DIGITAL IN
#define	RESET_BUTTON		BIT7HI	// PT7
#define	TAG_OUT_BUTTON		BIT6HI  // PT6
#define	REED_SWITCH			BIT4HI  // PT4
#define TEAM_SELECT_TOGGLE	BIT3HI  // PT3
#define	TAG_IN_BUTTON		BIT2HI  // PT2
#define PLAYER_SELECT_0		BIT1HI	// PM1
#define PLAYER_SELECT_1		BIT0HI	// PM0
#define PLAYER_SELECT_2		BIT0HI	// PT0
#define PLAYER_SELECT_3		BIT1HI	// PT1
#define MISO				BIT2HI	// PM2

// DIGITAL OUT
#define	TAG_OUT_LED			BIT5HI	// PT5
#define	SHIFT_REGISTER_SS	BIT7HI	// PAD7
#define	XBEE_PIC_SS			BIT3HI  // PM3
#define	MOSI				BIT4HI	// PM4
#define SCK					BIT5HI	// PM5

// ANALOG IN
#define	TAG_OUT_LOCATION	BIT0HI // PAD0
#define	SOFT_POT			BIT1HI // PAD1
#define	X_ACCEL				BIT2HI // PAD2
#define	Y_ACCEL				BIT3HI // PAD3
#define	Z_ACCEL				BIT4HI // PAD4
#define	WHAMMY				BIT5HI // PAD5

// these #defines categorize the type of button press
#define	TAG_IN		1
#define	TAG_OUT		2
#define	KICK  		3
#define	RESET   	4  